#!/bin/sh

PREREQ=""

prereqs()
{
	echo "$PREREQ"
}

case "$1" in
    prereqs)
        prereqs
        exit 0
        ;;
esac

. /usr/share/initramfs-tools/hook-functions
copy_file script /usr/share/cryptsetup/initramfs/bin/cryptroot-unlock /bin/cryptroot-unlock

if [ -f /etc/initramfs-tools/etc/motd ]; then
    copy_file text /etc/initramfs-tools/etc/motd /etc/motd
else
    cat >>"$DESTDIR/etc/motd" <<- EOF
		To unlock root partition, and maybe others like swap, run \`cryptroot-unlock\`
	EOF
fi
